html, body { height: 100%; }
body {
      min-height: 100vh;             /* su mobile puoi usare 100dvh */
      display: flex;
      flex-direction: column;
      margin: 0;
    }
header { padding: 1rem; background: #eee; }
main   { flex: 1; padding: 1rem; }  /* occupa lo spazio disponibile */
footer { padding: 1rem; background: #eee; }
    /* In alternativa: togli flex:1 a main e metti: footer { margin-top:auto; } */
 
 
h1{
    margin: auto;
    text-align: center;
}
a.scrivi:hover{
    cursor:pointer;
} 